package com.malk.kuaikeli.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.malk.kuaikeli.entity.SupplierMaterial;
import com.malk.server.common.McR;
import org.springframework.web.multipart.MultipartFile;

public interface SupplierMaterialService extends IService<SupplierMaterial> {

    void uploadData(MultipartFile file);

    /***
     * 同步
     */
    void sync();

    /***
     * 查询列表
     * @param current
     * @param size
     * @return
     */
    McR getList(Integer current,Integer size);

    void syncPrice();

    void projectSupplierChange(String projectId,String oldId,String newId,String newName);

}
